#include <bits/stdc++.h>

using namespace std;

int main() {
    int n,l;
    cin>>n>>l;
    vector<int> c(n);
    for(int i=0;i<n;i++)
        cin>>c[i];
    for(int i=0;i<n;i++)
    {
        if(c[i]<=l){
            cout<<i+1;
            return 0;
        }
    }
    cout<<-1;
    return 0;
}